Error parsing PCC subspaces from PCCT

Bug #1528684 reported by Michael Heuberger on 2015-12-22
84
This bug affects 16 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned
Bionic
Undecided
dann frazier

Bug Description

[Impact]
A scary-looking message appears in dmesg in several places during boot:

"Error parsing PCC subspaces from PCCT"

This could cause users to believe they have buggy firmware, in cases where it's actually fine.

[Test Case]
dmesg | grep "Error parsing PCC subspaces"

[Fix]
Resolved in upstream commit that cleanly cherry-picks back to bionic:
8f8027c5f935 mailbox: PCC: erroneous error message when parsing ACPI PCCT

[Regression Risk]
PCC is a generic ACPI-defined mechanism for the OS and firmware to communicate. Since the fix does change how the tables are parsed, regression scenarios could include breakages in PCC clients (things that use this layer to communicate to firmware). The only Kconfig option I see in bionic's source that depends on CONFIG_PCC is the CPPC library, which provides ACPI CPU performance management used by the cppc-cpufreq driver and is used by the scaling driver/governor for Sandy bridge processors.

Tested on an Nvidia DGX system. This is an upstream fix, so any regressions will have upstream support.

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
description: updated
Changed in linux (Ubuntu):
importance: Undecided → High

Michael Heuberger, thank you for reporting this and helping make Ubuntu better.

As per http://support.lenovo.com/us/en/products/Laptops-and-netbooks/ThinkPad-X-Series-laptops/ThinkPad-X1-Carbon-Type-20A7-20A8? an update to your computer's buggy and outdated BIOS is available (1.23). If you update to this following https://help.ubuntu.com/community/BIOSUpdate does it change anything?

For more on BIOS updates and linux, please see https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette .

Please note your current BIOS is already in the Bug Description, so posting this on the old BIOS would not be helpful. As well, you don't have to create a new bug report.

Once the BIOS is updated, if the problem is still reproducible:
1) Please provide the output of the following terminal command (not perform an apport-collect):
sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date
2) Please make a comment specifically advising on if there was an improvement or not.
3) Please mark this report Status Confirmed. If it's not reproducible, please mark this as Invalid.

Thank you for your understanding.

tags: added: bios-outdated-1.23
Changed in linux (Ubuntu):
importance: High → Low
status: Confirmed → Incomplete

Thanks Christopher. Unfortunately your link to Lenovo has no BIOS files to download for Ubuntu environments.

What's the most easiest way to upgrade BIOS on my machine then?

Piotr Miszczak (pmiszcz) wrote :

Hi, I have exactly the same problem (PCC error parsing etc.), I have Lenovo L540, just have updated my BIOS to the newest 1.82 version, didn't help. Please, help

Piotr Miszczak (pmiszcz) wrote :

Thanks for response. It doesn't want to work due to unsupported packeges (chrome maybe I don't know what else) but I dont have simple access to my packages library or sth. Is there any simple way to uninstall all unsupported software and clean repo? Thanks

Piotr Miszczak (pmiszcz) wrote :

Hi, I still have a problem. When I write "ubuntu-bug linux" it shows that there's problem with linux-image-4.2.0-25-generic and it cannot report the error; that it's not an official Ubuntu package (kernel?!) and ask to delete/uninstall all such packages.
I also cannot update through apt-get... :( Temporary errors during translating repos... I'm not sure if my spelling is correct, I haven't got it written in english.
Please help, thanks a lot! It would be nice just to have an opportunity to update the system..

Piotr Miszczak (pmiszcz) wrote :

Unfortunately I cannot do this, I tried to generate this report file also on older kernels I still have, but there's the same problem... I just can't use "ubuntu-bug linux" is there any other way?

Piotr Miszczak (pmiszcz) wrote :

Ok, I've set up the internet connection and upgraded system with apt-get. There's only problem with linux-generic, linux-headers-generic, linux-image-generic. I don't know how to update it. There's still a problem with generating a log with ubuntu-bug-linux.. I really appreciate your engagement. Thank you

Piotr Miszczak (pmiszcz) wrote :

Hi, I finally managed to generate this file after updating my system. I don't know why, but it worked. I'll upload the report here, ok? I hope it's gonna be useful. Thanks

Guy Taylor (thebiggerguy) wrote :

This error is also present on an Asus ZenBook UX305F

uname -a
Linux other-laptop 4.5.0-040500-generic #201603140130 SMP Mon Mar 14 05:32:22 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date
UX305FA.210
05/19/2015

Manu Cogolludo (makova) wrote :

Error is also an Lenovo Think Pad X1 Carbon, Intel® Core™ i7-5600U CPU @ 2.60GHz × 4

sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date

N14ET32W (1.10 )
08/13/2015

uname -a

4.5.0-040500-generic #201603140130 SMP Mon Mar 14 05:32:22 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Richard (rlettich) wrote :

I followed this guide, and have the latest BIOS/EFI (1.24) On an X1 Carbon 2nd Gen:

https://workaround.org/article/updating-the-bios-on-lenovo-laptops-from-linux-using-a-usb-flash-stick/

$ sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date
Swipe your finger across the fingerprint reader
GRET47WW (1.24 )
02/03/2016

Linux X1-C 4.4.0-18-generic #34-Ubuntu SMP Wed Apr 6 14:01:02 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Manu Cogolludo (makova) wrote :

Lenovo Think Pad X1 Carbon, Intel® Core™ i7-5600U CPU @ 2.60GHz × 4
Update the bios with the tutorial but for model 20BS Think Pad X1 Carbon, and all very well.

¡¡Thank you!!

sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date
[sudo] password for manu:
N14ET34W (1.12 )
02/04/2016

But still the error:

╰─➤ dmesg | grep -i error

[ 0.115516] Error parsing PCC subspaces from PCCT

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
Nick (nick-power) wrote :

Same Problem on T440p.

Bios:
GLET83WW (2.37 )
03/31/2016

Error:
[ 0.197312] Error parsing PCC subspaces from PCCT

Nick (nick-power) wrote :

Additional Info.

Dualboot System with Windows 8.1

Farst Startup is disabled.

Booting with Nvidia Card on.

Nick (nick-power) on 2016-10-13
Changed in linux (Ubuntu):
status: Expired → Confirmed
court oakes (c-monster) wrote :

I am getting the error on thinkpad x250 under 16.04 LTS 4.4.0-45-generic. Although the laptop shipped with Win 8.1 there is no dual boot. Ubuntu only. Looking forward to any update.

dmitry (mityaorlov) wrote :

I have fixed the issue by editing /etc/fstab file.
I have deleted entries of two disks that were used by WIndows OS from fstab and the problem disappeared.

finally, but I reainstalled system, thanks for letting know!

2016-11-30 15:53 GMT+01:00 dmitry <email address hidden>:

> I have fixed the issue by editing /etc/fstab file.
> I have deleted entries of two disks that were used by WIndows OS from
> fstab and the problem disappeared.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1528684
>
> Title:
> Error parsing PCC subspaces from PCCT
>
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> On my Thinkpad laptop I am seeing this error every time after the boot
> in the dmesg output:
>
> "Error parsing PCC subspaces from PCCT" (Portable C Compiler)
>
> The attached log files should reveal more. I have no idea what it
> means but seems serious. Hope you can solve this for once and all?
>
> ProblemType: Bug
> DistroRelease: Ubuntu 15.10
> Package: linux-image-4.2.0-22-generic 4.2.0-22.27
> ProcVersionSignature: Ubuntu 4.2.0-22.27-generic 4.2.6
> Uname: Linux 4.2.0-22-generic x86_64
> ApportVersion: 2.19.1-0ubuntu5
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: michael-heuberger 2972 F.... pulseaudio
> /dev/snd/controlC1: michael-heuberger 2972 F.... pulseaudio
> Date: Wed Dec 23 09:36:44 2015
> HibernationDevice: RESUME=UUID=bb8b6759-8fdb-4e4b-879b-7701cb217d2a
> InstallationDate: Installed on 2015-05-22 (214 days ago)
> InstallationMedia: Ubuntu 15.04 "Vivid Vervet" - Release amd64 (20150422)
> MachineType: LENOVO 20A7006KAU
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.2.0-22-generic
> root=UUID=b2f035dd-f14c-4a64-8834-5116d2df7864 ro cgroup_enable=memory
> swapaccount=1
> PulseList:
> Error: command ['pacmd', 'list'] failed with exit code 1: Home
> directory not accessible: Permission denied
> No PulseAudio daemon running, or not running as session daemon.
> RelatedPackageVersions:
> linux-restricted-modules-4.2.0-22-generic N/A
> linux-backports-modules-4.2.0-22-generic N/A
> linux-firmware 1.149.3
> SourcePackage: linux
> UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev'
> UpgradeStatus: Upgraded to wily on 2015-11-15 (36 days ago)
> dmi.bios.date: 11/20/2014
> dmi.bios.vendor: LENOVO
> dmi.bios.version: GRET42WW (1.19 )
> dmi.board.asset.tag: Not Available
> dmi.board.name: 20A7006KAU
> dmi.board.vendor: LENOVO
> dmi.board.version: 0B98417 WIN
> dmi.chassis.asset.tag: No Asset Information
> dmi.chassis.type: 10
> dmi.chassis.vendor: LENOVO
> dmi.chassis.version: Not Available
> dmi.modalias: dmi:bvnLENOVO:bvrGRET42WW(1.19):bd11/20/2014:svnLENOVO:
> pn20A7006KAU:pvrThinkPadX1Carbon2nd:rvnLENOVO:rn20A7006KAU:
> rvr0B98417WIN:cvnLENOVO:ct10:cvrNotAvailable:
> dmi.product.name: 20A7006KAU
> dmi.product.version: ThinkPad X1 Carbon 2nd
> dmi.sys.vendor: LENOVO
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/
> 1528684/+subscriptions
>

--
Piotr Miszczak

schwobi (herr-maier-hamburg) wrote :
Download full text (5.9 KiB)

Hardware:
Lenovo L450 [Processor: Intel® Core™ i5-5200U CPU @ 2.20GHz × 4; Graphics: Intel® HD Graphics 5500 (Broadwell GT2)]

### Factory delivery (as was) with Microsoft Windows 8 pre-installed on HDD.

### HDD removed and replaced for new SDD: Samsung SSD 850 EVO 250GB.
### Additional RAM slot filled.
### SDD && RAM integrity tested with SMART diagnostics && memtest_86x, respectively. No errors found.

### Ubuntu 15.10 installed on on SDD (formatted and encrypted according to wizard on Ubuntu Live-USB). First occurrence of of 'Error parsing PCC subspaces from PCCT'. Distribution upgraded to Ubuntu 16.04 LTS (is now).

### Error persists:
~ $dmesg | grep -i error
[ 0.161660] Error parsing PCC subspaces from PCCT
[ 72.911804] EXT4-fs (dm-1): re-mounted. Opts: errors=remount-ro

###### System Information:
### Kernel:
~$ uname -a
Linux louis-l450 4.4.0-59-generic #80-Ubuntu SMP Fri Jan 6 17:47:47 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

### fstab content:
~$ cat /etc/fstab
# /etc/fstab: static file system information.
#
# Use 'blkid' to print the universally unique identifier for a
# device; this may be used with UUID= as a more robust way to name devices
# that works even if disks are added and removed. See fstab(5).
#
# <file system> <mount point> <type> <options> <dump> <pass>
#
# LVM2 Physical Volume (249 GB):
# partition /dev/sda3 encrypted on /dev/mapper/sda3_crypt
/dev/mapper/ubuntu--gnome--vg-root / ext4 errors=remount-ro 0 1
#
# Boot partition (256 MB):
# /boot was on /dev/sda2 during installation
UUID=bc9d6ff1-fab4-417e-a285-509618092443 /boot ext2 defaults 0 2
#
# UEFI EFI Bootloader (537 MB):
# /boot/efi was on /dev/sda1 during installation
UUID=969A-DA15 /boot/efi vfat umask=0077 0 1
#
# Encrypted Swapping Partition:
#/dev/mapper/ubuntu--gnome--vg-swap_1 none swap sw 0 0
/dev/mapper/cryptswap1 none swap sw 0 0

#

### Boot from EFI & info:
~$ mount | grep efivars
efivarfs on /sys/firmware/efi/efivars type efivarfs (rw,nosuid,nodev,noexec,relatime)

~$ sudo dmidecode -t 0 && sudo dmidecode -t 1 && sudo efibootmgr -v
# dmidecode 3.0
Getting SMBIOS data from sysfs.
SMBIOS 2.7 present.

Handle 0x0031, DMI type 0, 24 bytes
BIOS Information
 Vendor: LENOVO
 Version: JDET54WW (1.16 )
 Release Date: 08/19/2015
 Address: 0xE0000
 Runtime Size: 128 kB
 ROM Size: 16384 kB
 Characteristics:
  PCI is supported
  PNP is supported
  BIOS is upgradeable
  BIOS shadowing is allowed
  Boot from CD is supported
  Selectable boot is supported
  ACPI is supported
  USB legacy is supported
  BIOS boot specification is supported
  Targeted content distribution is supported
  UEFI is supported
 BIOS Revision: 1.16
 Firmware Revision: 1.16

# dmidecode 3.0
Getting SMBIOS data from sysfs.
SMBIOS 2.7 present.

Handle 0x0010, DMI type 1, 27 bytes
System Information
 Manufacturer: LENOVO
 Product Name: 20DTCTO1WW
 Version: ThinkPad L450
 Serial Number: PF0E0Y2S
 UUID: 7A299C81-542D-11CB-9157-B3EF24380744
 Wake-up Type: Power Switch
 SKU Number: LENOVO_MT_20DT_BU_Think_FM_ThinkPad L450
 Family: ThinkPad L450

BootCurrent: 0014
Time...

Read more...

schwobi (herr-maier-hamburg) wrote :

Update:

The system crashes I mentioned are likely unrelated; I noticed a 3rd party daemon to randomly hog up all of my CPU.
... Nevermind.

######################

Interestingly tough, I observed the 'Error parsing PCC subspaces from PCCT' also while booting and running from a live-USB on the same system as mentioned above (with all other /dev/sdX drives unmounted since I intended to run a fsck check).

Just speculation from a Linux-beginner on my side, but doesn't this indicate an issue with the motherboard firmware; i.e. conflicts in either the BIOS/UEFI, MBR, etc.?

Saeishi Zuo (saeishi) wrote :

Did anyone solved the problem?I met the problem on server,the OS version is ubuntu 16.04.02,hope anyone can help me!

PrPom.cz (6n9o) wrote :

Same problem on Thinkpad L440, cannot even run Ubuntu, it crashes with this message on screen. Totally lost, have no clue, this discussion does not give a clear guide, what to do.
Problem appeared all of a sudden, no new install, no dual boot.
Please help!!!

Piotr Miszczak (pmiszcz) wrote :
Download full text (3.2 KiB)

I had to reinstall the system, still have an error, but it works at least

2017-09-26 8:58 GMT+02:00 PrPom.cz <email address hidden>:

> Same problem on Thinkpad L440, cannot even run Ubuntu, it crashes with
> this message on screen. Totally lost, have no clue, this discussion does
> not give a clear guide, what to do.
> Problem appeared all of a sudden, no new install, no dual boot.
> Please help!!!
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1528684
>
> Title:
> Error parsing PCC subspaces from PCCT
>
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> On my Thinkpad laptop I am seeing this error every time after the boot
> in the dmesg output:
>
> "Error parsing PCC subspaces from PCCT" (Portable C Compiler)
>
> The attached log files should reveal more. I have no idea what it
> means but seems serious. Hope you can solve this for once and all?
>
> ProblemType: Bug
> DistroRelease: Ubuntu 15.10
> Package: linux-image-4.2.0-22-generic 4.2.0-22.27
> ProcVersionSignature: Ubuntu 4.2.0-22.27-generic 4.2.6
> Uname: Linux 4.2.0-22-generic x86_64
> ApportVersion: 2.19.1-0ubuntu5
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: michael-heuberger 2972 F.... pulseaudio
> /dev/snd/controlC1: michael-heuberger 2972 F.... pulseaudio
> Date: Wed Dec 23 09:36:44 2015
> HibernationDevice: RESUME=UUID=bb8b6759-8fdb-4e4b-879b-7701cb217d2a
> InstallationDate: Installed on 2015-05-22 (214 days ago)
> InstallationMedia: Ubuntu 15.04 "Vivid Vervet" - Release amd64 (20150422)
> MachineType: LENOVO 20A7006KAU
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.2.0-22-generic
> root=UUID=b2f035dd-f14c-4a64-8834-5116d2df7864 ro cgroup_enable=memory
> swapaccount=1
> PulseList:
> Error: command ['pacmd', 'list'] failed with exit code 1: Home
> directory not accessible: Permission denied
> No PulseAudio daemon running, or not running as session daemon.
> RelatedPackageVersions:
> linux-restricted-modules-4.2.0-22-generic N/A
> linux-backports-modules-4.2.0-22-generic N/A
> linux-firmware 1.149.3
> SourcePackage: linux
> UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev'
> UpgradeStatus: Upgraded to wily on 2015-11-15 (36 days ago)
> dmi.bios.date: 11/20/2014
> dmi.bios.vendor: LENOVO
> dmi.bios.version: GRET42WW (1.19 )
> dmi.board.asset.tag: Not Available
> dmi.board.name: 20A7006KAU
> dmi.board.vendor: LENOVO
> dmi.board.version: 0B98417 WIN
> dmi.chassis.asset.tag: No Asset Information
> dmi.chassis.type: 10
> dmi.chassis.vendor: LENOVO
> dmi.chassis.version: Not Available
> dmi.modalias: dmi:bvnLENOVO:bvrGRET42WW(1.19):bd11/20/2014:svnLENOVO:
> pn20A7006KAU:pvrThinkPadX1Carbon2nd:rvnLENOVO:rn20A7006KAU:
> rvr0B98417WIN:cvnLENOVO:ct10:cvrNotAvailable:
> dmi.product.name: 20A7006KAU
> dmi.product.version: ThinkPad X1 Carbon 2nd
> dmi.sys.vendor: LENOVO
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/lin...

Read more...

dann frazier (dannf) on 2018-07-12
description: updated
Changed in linux (Ubuntu Bionic):
status: New → Confirmed
assignee: nobody → dann frazier (dannf)
dann frazier (dannf) on 2018-07-12
description: updated
Changed in linux (Ubuntu Bionic):
status: Confirmed → Fix Committed
Seth Forshee (sforshee) on 2018-08-01
Changed in linux (Ubuntu):
status: Confirmed → Fix Committed
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic
dann frazier (dannf) on 2018-08-09
tags: added: verification-done-bionic
removed: verification-needed-bionic
Launchpad Janitor (janitor) wrote :
Download full text (30.8 KiB)

This bug was fixed in the package linux - 4.17.0-7.8

---------------
linux (4.17.0-7.8) cosmic; urgency=medium

  * linux: 4.17.0-7.8 -proposed tracker (LP: #1785242)

  * Cosmic update to 4.17.12 stable release (LP: #1785211)
    - spi: spi-s3c64xx: Fix system resume support
    - Input: elan_i2c - add ACPI ID for lenovo ideapad 330
    - Input: i8042 - add Lenovo LaVie Z to the i8042 reset list
    - Input: elan_i2c - add another ACPI ID for Lenovo Ideapad 330-15AST
    - mm: disallow mappings that conflict for devm_memremap_pages()
    - kvm, mm: account shadow page tables to kmemcg
    - delayacct: fix crash in delayacct_blkio_end() after delayacct init failure
    - tracing: Fix double free of event_trigger_data
    - tracing: Fix possible double free in event_enable_trigger_func()
    - kthread, tracing: Don't expose half-written comm when creating kthreads
    - tracing/kprobes: Fix trace_probe flags on enable_trace_kprobe() failure
    - tracing: Quiet gcc warning about maybe unused link variable
    - arm64: fix vmemmap BUILD_BUG_ON() triggering on !vmemmap setups
    - drm/i915/glk: Add Quirk for GLK NUC HDMI port issues.
    - mlxsw: spectrum_switchdev: Fix port_vlan refcounting
    - kcov: ensure irq code sees a valid area
    - mm: check for SIGKILL inside dup_mmap() loop
    - drm/amd/powerplay: Set higher SCLK&MCLK frequency than dpm7 in OD (v2)
    - xen/netfront: raise max number of slots in xennet_get_responses()
    - hv_netvsc: fix network namespace issues with VF support
    - skip LAYOUTRETURN if layout is invalid
    - ixgbe: Fix setting of TC configuration for macvlan case
    - ALSA: emu10k1: add error handling for snd_ctl_add
    - ALSA: fm801: add error handling for snd_ctl_add
    - NFSv4.1: Fix the client behaviour on NFS4ERR_SEQ_FALSE_RETRY
    - nfsd: fix error handling in nfs4_set_delegation()
    - nfsd: fix potential use-after-free in nfsd4_decode_getdeviceinfo
    - vfio: platform: Fix reset module leak in error path
    - vfio/mdev: Check globally for duplicate devices
    - vfio/type1: Fix task tracking for QEMU vCPU hotplug
    - kernel/hung_task.c: show all hung tasks before panic
    - mem_cgroup: make sure moving_account, move_lock_task and stat_cpu in the
      same cacheline
    - mm: /proc/pid/pagemap: hide swap entries from unprivileged users
    - mm: vmalloc: avoid racy handling of debugobjects in vunmap
    - mm/slub.c: add __printf verification to slab_err()
    - rtc: ensure rtc_set_alarm fails when alarms are not supported
    - rxrpc: Fix terminal retransmission connection ID to include the channel
    - perf tools: Fix pmu events parsing rule
    - netfilter: ipset: forbid family for hash:mac sets
    - netfilter: ipset: List timing out entries with "timeout 1" instead of zero
    - irqchip/ls-scfg-msi: Map MSIs in the iommu
    - watchdog: da9063: Fix updating timeout value
    - media: arch: sh: migor: Fix TW9910 PDN gpio
    - printk: drop in_nmi check from printk_safe_flush_on_panic()
    - bpf, arm32: fix inconsistent naming about emit_a32_lsr_{r64,i64}
    - ceph: fix alignment of rasize
    - ceph: fix use-after-free in ceph_statfs()
    - e1000e: Ignore TSYNCRXCTL when getting I219...

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (35.6 KiB)

This bug was fixed in the package linux - 4.15.0-33.36

---------------
linux (4.15.0-33.36) bionic; urgency=medium

  * linux: 4.15.0-33.36 -proposed tracker (LP: #1787149)

  * RTNL assertion failure on ipvlan (LP: #1776927)
    - ipvlan: drop ipv6 dependency
    - ipvlan: use per device spinlock to protect addrs list updates
    - SAUCE: fix warning from "ipvlan: drop ipv6 dependency"

  * ubuntu_bpf_jit test failed on Bionic s390x systems (LP: #1753941)
    - test_bpf: flag tests that cannot be jited on s390

  * HDMI/DP audio can't work on the laptop of Dell Latitude 5495 (LP: #1782689)
    - drm/nouveau: fix nouveau_dsm_get_client_id()'s return type
    - drm/radeon: fix radeon_atpx_get_client_id()'s return type
    - drm/amdgpu: fix amdgpu_atpx_get_client_id()'s return type
    - platform/x86: apple-gmux: fix gmux_get_client_id()'s return type
    - ALSA: hda: use PCI_BASE_CLASS_DISPLAY to replace PCI_CLASS_DISPLAY_VGA
    - vga_switcheroo: set audio client id according to bound GPU id

  * locking sockets broken due to missing AppArmor socket mediation patches
    (LP: #1780227)
    - UBUNTU SAUCE: apparmor: fix apparmor mediating locking non-fs, unix sockets

  * Update2 for ocxl driver (LP: #1781436)
    - ocxl: Fix page fault handler in case of fault on dying process

  * netns: unable to follow an interface that moves to another netns
    (LP: #1774225)
    - net: core: Expose number of link up/down transitions
    - dev: always advertise the new nsid when the netns iface changes
    - dev: advertise the new ifindex when the netns iface changes

  * [Bionic] Disk IO hangs when using BFQ as io scheduler (LP: #1780066)
    - block, bfq: fix occurrences of request finish method's old name
    - block, bfq: remove batches of confusing ifdefs
    - block, bfq: add requeue-request hook

  * HP ProBook 455 G5 needs mute-led-gpio fixup (LP: #1781763)
    - ALSA: hda: add mute led support for HP ProBook 455 G5

  * [Bionic] bug fixes to improve stability of the ThunderX2 i2c driver
    (LP: #1781476)
    - i2c: xlp9xx: Fix issue seen when updating receive length
    - i2c: xlp9xx: Make sure the transfer size is not more than
      I2C_SMBUS_BLOCK_SIZE

  * x86/kvm: fix LAPIC timer drift when guest uses periodic mode (LP: #1778486)
    - x86/kvm: fix LAPIC timer drift when guest uses periodic mode

  * Please include ax88179_178a and r8152 modules in d-i udeb (LP: #1771823)
    - [Config:] d-i: Add ax88179_178a and r8152 to nic-modules

  * Nvidia fails after switching its mode (LP: #1778658)
    - PCI: Restore config space on runtime resume despite being unbound

  * Kernel error "task zfs:pid blocked for more than 120 seconds" (LP: #1781364)
    - SAUCE: (noup) zfs to 0.7.5-1ubuntu16.3

  * CVE-2018-12232
    - PATCH 1/1] socket: close race condition between sock_close() and
      sockfs_setattr()

  * CVE-2018-10323
    - xfs: set format back to extents if xfs_bmap_extents_to_btree

  * change front mic location for more lenovo m7/8/9xx machines (LP: #1781316)
    - ALSA: hda/realtek - Fix the problem of two front mics on more machines
    - ALSA: hda/realtek - two more lenovo models need fixup of MIC_LOCATION

  * Cephfs + fscache: unab...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Brad Figg (brad-figg) on 2019-07-24
tags: added: cscc
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers